SDL_Texture(3type)

NAME
SDL_Texture - An efficient driver-specific representation of pixel data

SYNOPSIS
#include <SDL3/SDL_render.h>

struct SDL_Texture
{
    SDL_PixelFormat format;     /**< The format of the texture, read-only */
    int w;                      /**< The width of the texture, read-only. */
    int h;                      /**< The height of the texture, read-only. */

    int refcount;               /**< Application reference count, used when freeing texture */
};

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_CreateTexture(3), SDL_CreateTextureFromSurface(3), SDL_CreateTextureWithProperties(3), SDL_DestroyTexture(3)